Bug 1028835 - Patch installation section of security guide does not cover new patching mechanism
Patch installation section of security guide does not cover new patching mech...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: GA
: EAP 6.2.0
Assigned To: Russell Dickenson
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-10 20:43 EST by David Jorm
Modified: 2014-10-20 20:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdickens: needinfo-


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2013-11-10 20:43:30 EST
Description of problem:
The patch installation section of the security guide:

https://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6.2/html/Security_Guide/Install_Patches_in_zip_form.html

Does not cover the new EAP 6.2 patching mechanism, which deprecates zip-based patching.

Expected results:
Content pertaining to the new patching mechanism should be brought over from the installation guide:

https://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6.2/html/Installation_Guide/sect-Install_Patches_in_Zip_Form.html
Comment 1 Russell Dickenson 2013-11-12 19:02:31 EST
I have copied from the JBoss EAP 6.2.0 Installation Guide content which is relevant to the Security Guide on the topic of the new patching mechanism, replacing the existing content.

The new content can be reviewed at [1], which is a pre-Docstage build of the Security Guide. Once this revision of the book is available on Docstage I will move this ticket to ON_QA status.

[1] http://docbuilder.usersys.redhat.com/14876/#chap-Patch_Installation
Comment 2 Russell Dickenson 2013-11-14 16:31:57 EST
The amended documentation can now be validated in revision 2.0-12 or later at [1].

[1] http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6.2/html-single/Security_Guide/index.html#chap-Patch_Installation
Comment 3 Josef Cacek 2013-11-15 14:23:08 EST
Verified on stage.

Note You need to log in before you can comment on or make changes to this bug.